# OpenLayers.Strategy.Refresh

A strategy that refreshes the layer. By default the strategy waits for a call to refresh before refreshing. By configuring the strategy with the interval option, refreshing can take place automatically.

#### Inherits from

- OpenLayers.Strategy

Summary

OpenLayers.Strategy.Refresh | A strategy that refreshes the layer.
Properties |
force | {Boolean} Force a refresh on the layer.
interval | {Number} Auto-refresh.
timer | {Number} The id of the timer.
Constructor |
OpenLayers.Strategy.Refresh | Create a new Refresh strategy.
Functions |
activate | Activate the strategy.
deactivate | Deactivate the strategy.
reset | Start or cancel the refresh interval depending on the visibility of the layer.
start | Start the refresh interval.
refresh | Tell the strategy to refresh which will refresh the layer.
stop | Cancels the refresh interval.

### Properties

### force

{Boolean} Force a refresh on the layer. Default is false.

### interval

{Number} Auto-refresh. Default is 0. If > 0, layer will be refreshed every N milliseconds.

### timer

{Number} The id of the timer.

### Constructor

### OpenLayers.Strategy.Refresh

Create a new Refresh strategy.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

### Functions

### activate

> activate: function()

Activate the strategy. Register any listeners, do appropriate setup.

#### Returns

{Boolean} True if the strategy was successfully activated.

### deactivate

> deactivate: function()

Deactivate the strategy. Unregister any listeners, do appropriate tear-down.

#### Returns

{Boolean} True if the strategy was successfully deactivated.

### reset

> reset: function()

Start or cancel the refresh interval depending on the visibility of the layer.

### start

> start: function()

Start the refresh interval.

### refresh

> refresh: function()

Tell the strategy to refresh which will refresh the layer.

### stop

> stop: function()

Cancels the refresh interval.

> activate: function()

Activate the strategy.

> deactivate: function()

Deactivate the strategy.

> reset: function()

Start or cancel the refresh interval depending on the visibility of the layer.

> start: function()

Start the refresh interval.

> refresh: function()

Tell the strategy to refresh which will refresh the layer.

> stop: function()

Cancels the refresh interval.
{Number} Auto-refresh.
Abstract vector layer strategy class.
Close